Get fill-rate stats for a completed intent audience run
curl --request GET \
--url https://api.aws53.cloud/v1/intent/audiences/{id}/runs/{runId}/stats \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aws53.cloud/v1/intent/audiences/{id}/runs/{runId}/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aws53.cloud/v1/intent/audiences/{id}/runs/{runId}/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"audienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"configHash": "<string>",
"dataDate": "2023-12-25",
"resultKey": "<string>",
"candidateCount": 123,
"resultCount": 123,
"attempts": 123,
"nextAttemptAt": "2023-11-07T05:31:56Z",
"idempotencyKey": "<string>",
"errorCode": "<string>",
"errorMessage": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"cancelledAt": "2023-11-07T05:31:56Z",
"readyEmailSentAt": "2023-11-07T05:31:56Z",
"readyEmailExportId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"readyEmailError": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"stats": {
"total": 123,
"fillRates": {},
"scoreHistogram": [
{
"count": 123,
"percent": 123
}
],
"averages": {}
}
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"request_id": "<string>"
}
}Audience results
Get fill-rate stats for a completed intent audience run
GET
/
v1
/
intent
/
audiences
/
{id}
/
runs
/
{runId}
/
stats
Get fill-rate stats for a completed intent audience run
Authorizations
bearerAuthapiKeyAuth
Dashboard access token. Send as Authorization: Bearer .
Was this page helpful?
⌘I